- include_role:
    name: per_user

- name: Find firefox about:config file
  find:
    paths: "{{ account_homedir.stdout }}/.mozilla/firefox/"
    patterns: "prefs.js"
    recurse: true
    depth: 2
  register: firefox_about_config

- name: Configure Firefox about:config
  lineinfile:
    path: "{{ item[0].path }}"
    regexp: '"{{ item[1].key }}", [^")\n]*\)'
    line: 'user_pref("{{ item[1].key }}", {{ item[1].value | to_json }});'
  loop: "{{ firefox_about_config.files | product(firefox_config | dict2items) | list }}"

- import_tasks: tasks/peruser_freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/peruser_linux.yaml
  when: 'os_flavor == "linux"'
